complexType "FxLinkedNotionalAmount"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | resetDate?, adjustedFxSpotFixingDate?, observedFxSpotRate?, notionalAmount?
</...>

Content Model Elements (4):

  adjustedFxSpotFixingDate, notionalAmount (in fxLinkedNotionalAmount), | observedFxSpotRate, resetDate (in fxLinkedNotionalAmount)

All Direct / Indirect Based Elements (1):

  fxLinkedNotionalAmount

Known Usage Locations

- As direct type of elements (1):
  fxLinkedNotionalAmount

Annotation
A type to describe the cashflow representation for fx linked notionals.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FxLinkedNotionalAmount"> <xsd:sequence> <xsd:element minOccurs="0" name="resetDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedFxSpotFixingDate" type="xsd:date"/> <xsd:element minOccurs="0" name="observedFxSpotRate" type="xsd:decimal"/> <xsd:element minOccurs="0" name="notionalAmount" type="xsd:decimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
adjustedFxSpotFixingDate

  Type: | xsd:date, predefined, simple content

  The date on which the fx spot rate is observed. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedFxSpotFixingDate" type="xsd:date"/>

notionalAmount

  Type: | xsd:decimal, predefined, simple content

  The calculation period notional amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalAmount" type="xsd:decimal"/>

observedFxSpotRate

  Type: | xsd:decimal, predefined, simple content

  The actual observed fx spot rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observedFxSpotRate" type="xsd:decimal"/>

resetDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="resetDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.